import { PipeTransform } from '@angular/core';
import { GridBaseAPIService } from '../api.service';
import { ISortingExpression } from '../../../public_api';
import { ITreeGridRecord } from './tree-grid.interfaces';
import { IgxGridBaseComponent } from '../grid';
/**
 *@hidden
 */
export declare class IgxTreeGridHierarchizingPipe implements PipeTransform {
    private gridAPI;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseComponent>);
    transform(collection: any[], primaryKey: string, foreignKey: string, childDataKey: string, id: string, pipeTrigger: number): ITreeGridRecord[];
    private getRowID(primaryKey, rowData);
    private hierarchizeFlatData(id, collection, primaryKey, foreignKey, map);
    private setIndentationLevels(id, collection, indentationLevel);
    private hierarchizeRecursive(id, collection, primaryKey, childDataKey, parent, flatData, indentationLevel, map);
}
/**
 *@hidden
 */
export declare class IgxTreeGridFlatteningPipe implements PipeTransform {
    private gridAPI;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseComponent>);
    transform(collection: ITreeGridRecord[], id: string, expandedLevels: number, expandedStates: Map<any, boolean>, pipeTrigger: number): any[];
    private getFlatDataRecursive(collection, data, expandedLevels, expandedStates, gridID, parentExpanded);
    private updateNonProcessedRecordExpansion(grid, record);
}
/** @hidden */
export declare class IgxTreeGridSortingPipe implements PipeTransform {
    private gridAPI;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseComponent>);
    transform(hierarchicalData: ITreeGridRecord[], expressions: ISortingExpression[], id: string, pipeTrigger: number): ITreeGridRecord[];
}
/** @hidden */
export declare class IgxTreeGridPagingPipe implements PipeTransform {
    private gridAPI;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseComponent>);
    transform(collection: ITreeGridRecord[], page: number, perPage: number, id: string, pipeTrigger: number): ITreeGridRecord[];
}
/** @hidden */
export declare class IgxTreeGridTransactionPipe implements PipeTransform {
    private gridAPI;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseComponent>);
    transform(collection: any[], id: string, pipeTrigger: number): any[];
}
